aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan Gelety <jgelety@cisco.com>2018-11-28 13:08:06 +0100
committerJan Gelety <jgelety@cisco.com>2018-11-29 08:12:58 +0000
commita850b9832fb5dc3c5d90dc956b1c60cb225b9016 (patch)
tree5daa5a0bf5ff241dce93dc796c35931223659711
parent5dc134628f7eef7fd609625c2ed291199ee6420f (diff)
FIX: VPP_Device - use vpp bionic packages
Because there is already used ubuntu bionic on VPP device testbed and used download script from pacakgecloud site donwloads packages based on host OS we need additional file to store vpp bionic stable version for VPP_Device tests. Change-Id: If834dc8af7dffa19b8ddeae013c3da9b37a5a81a Signed-off-by: Jan Gelety <jgelety@cisco.com>
-rw-r--r--VPP_STABLE_VER_UBUNTU_BIONIC1
-rw-r--r--resources/libraries/bash/function/gather.sh13
-rw-r--r--tests/vpp/device/__init__.robot3
-rw-r--r--tests/vpp/device/l2xc/eth2p-ethicmp-l2xcbase-device.robot (renamed from tests/vpp/device/eth2p-ethicmp-l2xcbase-device.robot)0
4 files changed, 13 insertions, 4 deletions
diff --git a/VPP_STABLE_VER_UBUNTU_BIONIC b/VPP_STABLE_VER_UBUNTU_BIONIC
new file mode 100644
index 0000000000..6ef71b04bf
--- /dev/null
+++ b/VPP_STABLE_VER_UBUNTU_BIONIC
@@ -0,0 +1 @@
+19.01-rc0~256-ga7dcae72~b1491 \ No newline at end of file
diff --git a/resources/libraries/bash/function/gather.sh b/resources/libraries/bash/function/gather.sh
index 1d00f6b0d0..bdcf1c46a8 100644
--- a/resources/libraries/bash/function/gather.sh
+++ b/resources/libraries/bash/function/gather.sh
@@ -272,9 +272,16 @@ function gather_vpp () {
warn "Downloading latest VPP packages from Packagecloud."
else
warn "Downloading stable VPP packages from Packagecloud."
- VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
- die "Read VPP stable version failed."
- }
+ if [[ "${TEST_CODE}" == *"device"* ]];
+ then
+ VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU_BIONIC")" || {
+ die "Read VPP stable version failed."
+ }
+ else
+ VPP_VERSION="$(<"${CSIT_DIR}/VPP_STABLE_VER_UBUNTU")" || {
+ die "Read VPP stable version failed."
+ }
+ fi
fi
source "${BASH_FUNCTION_DIR}/artifacts.sh" || die "Source failed."
download_artifacts || die
diff --git a/tests/vpp/device/__init__.robot b/tests/vpp/device/__init__.robot
index 93b43f53ae..916a903f83 100644
--- a/tests/vpp/device/__init__.robot
+++ b/tests/vpp/device/__init__.robot
@@ -45,7 +45,8 @@
| | Set Global Variable | ${vm_image} | /var/lib/vm/csit-nested-1.7.img
| | Set Global Variable | ${packages_dir} | /tmp/openvpp-testing/download_dir/
| | @{vpp_rpm_pkgs}= | Create List | vpp | vpp-devel | vpp-lib | vpp-plugins
+| | ... | vpp-api-python
| | Set Global Variable | ${vpp_rpm_pkgs}
| | @{vpp_deb_pkgs}= | Create List | vpp | vpp-dbg | vpp-dev | vpp-lib
-| | ... | vpp-plugins
+| | ... | vpp-plugins | vpp-api-python
| | Set Global Variable | ${vpp_deb_pkgs} \ No newline at end of file
diff --git a/tests/vpp/device/eth2p-ethicmp-l2xcbase-device.robot b/tests/vpp/device/l2xc/eth2p-ethicmp-l2xcbase-device.robot
index b18ce7bb77..b18ce7bb77 100644
--- a/tests/vpp/device/eth2p-ethicmp-l2xcbase-device.robot
+++ b/tests/vpp/device/l2xc/eth2p-ethicmp-l2xcbase-device.robot